<?php
class List_DropdownAR extends netsControl {
	public function List_DropdownAR(){
		$this->netsControl();
	}
	public function Control($pColumn){
		$tmpControl=$pColumn['stcotName'].'Txt'.$pColumn['NameExtend'];
?>
<!-- #<?php echo ($tmpControl); ?> -->
<td id="<?php echo ($tmpControl); ?>PanelBox" class="ListCellContent">
<!--S.<?php echo ($tmpControl); ?>-->
<select id="<?php echo($tmpControl); ?>" name="<?php echo($tmpControl); ?>" class="SControl1 SDropdown"
onclick="tmpControl.onControlLight(this,'SDropdown');<?php echo($pColumn['Parameter_JS_Onclick']); ?>"
onblur="tmpControl.onControlBlur(this,'SDropdown');<?php echo($pColumn['Parameter_JS_Onblur']); ?>"
onfocus="<?php echo($pColumn['Parameter_JS_Onfocus']); ?>"
onchange="<?php echo($pColumn['Parameter_JS_Onchange']); ?>"
onmouseover="<?php echo($pColumn['Parameter_JS_Onmouseover']); ?>"
onmouseout="<?php echo($pColumn['Parameter_JS_Onmouseout']); ?>"
style="<?php echo ($pColumn['ControlStyle']); ?>" >
<?php
		foreach ($pColumn['Option'] as $Option){
?><option value="<?php echo ($Option['Value']); ?>" title="<?php echo ($Option['Title']); ?>"
style="<?php echo ($Option['Style']); ?>" <?php if($pColumn['Value']==$Option['Value']){ echo( ' selected="selected" class="FBlack1" '); }else{ echo(' class="FBlack3" '); } ?> ><?php echo ($Option['Text']); ?></option><?php
		}
?>
</select><!--sendRequest--><!--E.<?php echo ($tmpControl); ?>--></td><?php
	}
}
?>